Bug 15997 - PAM and syslog logging of su attempts
Summary: PAM and syslog logging of su attempts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-11 14:50 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-11 14:50:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-11 14:50:24 UTC
syslog entries for invalid su varies for different users.
On my system, if I fail while attempting an su to: "root" or "named",
the syslog entries appear as:

Aug 11 09:25:25 mybox PAM_pwdb[22699]: authentication failure;
arhodes(uid=500) -> root for su service
Aug 11 09:25:31 mybox PAM_pwdb[22700]: authentication failure;
arhodes(uid=500) -> named for su service

However, if I attempt to su to "bin" or "operator", all I get in
the syslog entry is:

Aug 11 09:51:38 xanax PAM_pwdb[22733]: get passwd; pwdb: request not
recognized
Aug 11 09:51:54 xanax PAM_pwdb[22734]: get passwd; pwdb: request not
recognized

Anyone know why PAM_pwdb would exhibit these different behaviors?

Comment 1 Nalin Dahyabhai 2000-09-12 20:15:30 UTC
The pam_pwdb module is being replaced by the pam_unix module (which works
correctly) for upcoming releases.


Note You need to log in before you can comment on or make changes to this bug.